Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78394 - Impossible to rebuild SRPM
Summary: Impossible to rebuild SRPM
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: squid
Version: 8.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-22 09:10 UTC by Mario Mikocevic
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-22 09:10:31 UTC


Attachments (Terms of Use)

Description Mario Mikocevic 2002-11-22 09:10:24 UTC
Description of Problem:

SRPM packet squid-2.4.STABLE7-4.src.rpm cannot be rebuilded.
(I for some reason need --disable-internal-dns)
It requires sgml-tools but that packet is nowhere to be found
(meaning in RedHat repository) and according to web page, development
is abandoned.


Additional Information:
	
This fixes it at least temporarily ->
--- squid.spec.orig     2002-11-22 10:08:30.000000000 +0100
+++ squid.spec  2002-11-21 11:22:20.000000000 +0100
@@ -18,7 +18,8 @@
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 Prereq: /sbin/chkconfig logrotate shadow-utils
 Requires: bash >= 2.0
-BuildPrereq: openjade sgml-tools openldap-devel pam-devel
+#BuildPrereq: openjade sgml-tools openldap-devel pam-devel
+BuildPrereq: openjade openldap-devel pam-devel
 Obsoletes: squid-novm
 
 %description
@@ -66,10 +67,10 @@
 
 make -f makefile
 
-mkdir faq
-cp $RPM_SOURCE_DIR/FAQ.sgml faq
-cd faq 
-sgml2html FAQ.sgml
+#mkdir faq
+#cp $RPM_SOURCE_DIR/FAQ.sgml faq
+#cd faq 
+#sgml2html FAQ.sgml
 
 #cd ..
 #cd auth_modules

Comment 1 Bill Nottingham 2002-11-22 16:59:58 UTC
linuxdoc-tools provides sgml-tools.

Comment 2 Mario Mikocevic 2002-11-22 18:08:32 UTC
Heh, ok,
then this is proper patch ->

--- squid.spec.orig     2002-11-22 10:08:30.000000000 +0100
+++ squid.spec  2002-11-22 18:59:21.000000000 +0100
@@ -18,7 +18,7 @@
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 Prereq: /sbin/chkconfig logrotate shadow-utils
 Requires: bash >= 2.0
-BuildPrereq: openjade sgml-tools openldap-devel pam-devel
+BuildPrereq: openjade linuxdoc-tools openldap-devel pam-devel
 Obsoletes: squid-novm
 
 %description



Note You need to log in before you can comment on or make changes to this bug.